%
% Copyright (C) 1997 Thomas Nordin and Alastair Reid
%

\begin{code}

module Target
	( Target(..)   -- instances: Eq, Show
	, notHugsNHC   -- :: Target -> Bool
	) where

data Target 
  = GHC_casm
  | GHC_ccall
  | FFI
  | NHC
  | Hugs
    deriving (Eq) -- needed by Proc.genProc.mkResult

instance Show Target where
  showsPrec _ t =
   case t of
     NHC       -> showString "NHC"
     Hugs      -> showString "Hugs"
     GHC_ccall -> showString "GHC{-ccall-}"
     GHC_casm  -> showString "GHC{-casm-}"
     FFI       -> showString "FFI"

notHugsNHC :: Target -> Bool
notHugsNHC Hugs = False
notHugsNHC NHC  = False
notHugsNHC _    = True

\end{code}
